%define pkgname		gdk-pixbuf-xlib
%define api		2.0
%define lib_major	0

%define libname		%mklibname gdk_pixbuf_xlib %{api} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf_xlib %{api}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api}
Version:	0.0
Release:        %mkrel 2
License:	LGPLv2+
Group:		System/Libraries
# git archive --prefix=gdk-pixbuf-xlib-0.0/ HEAD | xz  > gdk-pixbuf-xlib-0.0.tar.xz
Source0:	%{pkgname}-%{version}.tar.xz
URL:		https://gitlab.gnome.org/Archive/gdk-pixbuf-xlib
Requires:	common-licenses
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(x11)

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf_xlib%{api} = %{version}-%{release}
Conflicts:	%{_lib}gdk_pixbuf2.0_0 < 2.42.0-1

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(libpng16)
Conflicts:	%{_lib}gdk_pixbuf2.0-devel < 2.42.0-1

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%prep
%setup -qn %{pkgname}-%{version}
%autopatch -p1

%build
%meson -Dinstalled_tests=false
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%{_libdir}/libgdk_pixbuf_xlib-%{api}.so.%{lib_major}{,.*}

%files -n %{develname}
%{_includedir}/gdk-pixbuf-%{api}/gdk-pixbuf-xlib
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc


%changelog
* Sun Nov 29 2020 wally <wally> 0.0-2.mga8
+ Revision: 1650183
- fix lib pkg provides
- conflict with old gdk-pixbuf2.0 lib

* Wed Nov 11 2020 tv <tv> 0.0-1.mga8
+ Revision: 1644496
- imported package gdk-pixbuf-xlib2.0

